Bug 971445 - importing another manifest (from the same distributor) for the same org does not shows up at all
importing another manifest (from the same distributor) for the same org does ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.0.1
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: William Poteat
Garik Khachikyan
: Reopened, Triaged
Depends On:
Blocks: 908026
  Show dependency treegraph
 
Reported: 2013-06-06 10:21 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (200.97 KB, application/gzip)
2013-06-06 10:21 EDT, Garik Khachikyan
no flags Details
1st manifest to import (60.78 KB, application/zip)
2013-10-16 06:53 EDT, Garik Khachikyan
no flags Details
2nd manifest to import (60.71 KB, application/zip)
2013-10-16 06:53 EDT, Garik Khachikyan
no flags Details

  None (edit)
Description Garik Khachikyan 2013-06-06 10:21:25 EDT
Created attachment 757700 [details]
logs

Description of problem:
Uploading a new manifest of the same distributor for the same org does not fail (seems - i used UI) but also does not show up any subscriptions, product, etc.
Requesting `product list --provider "Red Hat"` just shows an empty list.

Version-Release number of selected component (if applicable):
candlepin-0.8.9-1.el6_4.noarch
candlepin-cert-consumer-dell-per810-03.rhts.eng.bos.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.9-1.el6_4.noarch
candlepin-tomcat6-0.8.9-1.el6_4.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-1.4.2-8.el6sat.noarch
katello-agent-1.4.2-4.el6sat.noarch
katello-all-1.4.2-8.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-cli-1.4.2-6.el6sat.noarch
katello-cli-common-1.4.2-6.el6sat.noarch
katello-common-1.4.2-8.el6sat.noarch
katello-configure-1.4.3-12.el6sat.noarch
katello-configure-foreman-1.4.3-12.el6sat.noarch
katello-foreman-all-1.4.2-8.el6sat.noarch
katello-glue-candlepin-1.4.2-8.el6sat.noarch
katello-glue-elasticsearch-1.4.2-8.el6sat.noarch
katello-glue-pulp-1.4.2-8.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.3-3.el6sat.noarch
m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64
pulp-rpm-handlers-2.1.1-1.el6sat.noarch
pulp-rpm-plugins-2.1.1-1.el6sat.noarch
pulp-selinux-2.1.1-1.el6sat.noarch
pulp-server-2.1.1-1.el6sat.noarch
python-isodate-0.5.0-1.pulp.el6sat.noarch
python-oauth2-1.5.170-3.pulp.el6sat.noarch
python-pulp-agent-lib-2.1.1-1.el6sat.noarch
python-pulp-common-2.1.1-1.el6sat.noarch
python-pulp-rpm-common-2.1.1-1.el6sat.noarch
python-qpid-0.18-5.el6_4.noarch
python-rhsm-1.8.0-1.pulp.el6sat.x86_64
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-foreman-katello-engine-0.0.8-4.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.3-4.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch
ruby193-rubygem-ldap_fluff-0.1.7-3.el6sat.noarch
signo-katello-0.0.15-1.el6sat.noarch

How reproducible:


Steps to Reproduce:
1.prepare in customer portal a distributor and attach a subscription (like wit quantity == 1)
2.import in katello the manifest from the portal
3.prepare in customer portal another manifest (having same subscription with quantity == 2)
4. try to import it

Actual results:
No error. no products appear, nothing.

Expected results:
updating subscriptions and all related stuff (with subscriptions count==2)

Additional info:
logs
Comment 1 Garik Khachikyan 2013-06-06 10:23:55 EDT
manifest itself is valid as it shows up correctly on another Katello server.
Comment 7 Alex Wood 2013-06-27 14:19:29 EDT
commit 747ca96010a3a978708dcc94144e5c2915296228
Author: William Poteat <wpoteat@redhat.com>
Date:   Tue Jun 18 12:13:44 2013 -0400

    971445 - importing another manifest (from the same distributor) for the same org does not shows up at all
    
    The entitlements in the first manifest is replaced by the one in the second manifest
    They are not the same entitlement, but are for the same pool.
    Hibernate magic caused the newly merged subscription to get deleted when steps were run in the original order.
Comment 9 Garik Khachikyan 2013-10-15 07:05:22 EDT
# REOPEN

For the recent compose it is *not possible* to reimport another manifest (from the same subscription management application). System complains:
---
Subscription manifest import for provider 'Red Hat' failed
Reason: Owner has already imported from another subscription management application.

This is wrong: it's natural that the client will want to apply another manifest with more subscriptions bought, etc...

version under test:
===
candlepin-0.8.25-1.el6sam.noarch
candlepin-cert-consumer-demeter.usersys.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
createrepo-0.9.9-21.2.pulp.el6sat.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-1.4.6-31.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
katello-all-1.4.6-31.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-cli-1.4.3-20.el6sat.noarch
katello-cli-common-1.4.3-20.el6sat.noarch
katello-common-1.4.6-31.el6sat.noarch
katello-configure-1.4.7-3.el6sat.noarch
katello-configure-foreman-1.4.7-3.el6sat.noarch
katello-configure-foreman-proxy-1.4.7-3.el6sat.noarch
katello-foreman-all-1.4.6-31.el6sat.noarch
katello-glue-candlepin-1.4.6-31.el6sat.noarch
katello-glue-elasticsearch-1.4.6-31.el6sat.noarch
katello-glue-pulp-1.4.6-31.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.0-0.17.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.17.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.17.beta.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-selinux-2.3.0-0.17.beta.el6sat.noarch
pulp-server-2.3.0-0.17.beta.el6sat.noarch
python-isodate-0.5.0-1.pulp.el6sat.noarch
python-oauth2-1.5.170-3.pulp.el6sat.noarch
python-pulp-agent-lib-2.3.0-0.17.beta.el6sat.noarch
python-pulp-bindings-2.3.0-0.17.beta.el6sat.noarch
python-pulp-common-2.3.0-0.17.beta.el6sat.noarch
python-pulp-puppet-common-2.3.0-0.17.beta.el6sat.noarch
python-pulp-rpm-common-2.3.0-0.17.beta.el6sat.noarch
python-qpid-0.18-5.el6_4.noarch
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-foreman-katello-engine-0.0.14-5.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.7-2.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
signo-katello-0.0.22-2.el6sat.noarch

logs would be attached soon.
Comment 10 William Poteat 2013-10-15 15:02:56 EDT
Please attach both the original and update manifests to this bug
Comment 12 Garik Khachikyan 2013-10-16 06:53:21 EDT
Created attachment 812862 [details]
1st manifest to import
Comment 13 Garik Khachikyan 2013-10-16 06:53:50 EDT
Created attachment 812863 [details]
2nd manifest to import
Comment 14 William Poteat 2013-10-16 11:04:19 EDT
Confirmed working in 0.8.25 release
Comment 15 Garik Khachikyan 2013-10-21 07:18:25 EDT
# VERIFIED

yes, ack: it's working.

checked on:
===
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-18.el6sat.noarch
* foreman-compute-1.3.0-18.el6sat.noarch
* foreman-libvirt-1.3.0-18.el6sat.noarch
* foreman-postgresql-1.3.0-18.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-39.el6sat.noarch
* katello-all-1.4.6-39.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-24.el6sat.noarch
* katello-cli-common-1.4.3-24.el6sat.noarch
* katello-common-1.4.6-39.el6sat.noarch
* katello-configure-1.4.7-5.el6sat.noarch
* katello-configure-foreman-1.4.7-5.el6sat.noarch
* katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
* katello-foreman-all-1.4.6-39.el6sat.noarch
* katello-glue-candlepin-1.4.6-39.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-39.el6sat.noarch
* katello-glue-pulp-1.4.6-39.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
* pulp-server-2.3.0-0.22.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.22-2.el6sat.noarch
* signo-katello-0.0.22-2.el6sat.noarch
Comment 18 Bryan Kearney 2014-04-24 13:09:00 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 19 Bryan Kearney 2014-04-24 13:10:37 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.